Webhooks
Create webhook
POST
bearerAuthheader
AuthorizationBearer <token>API key sent as Authorization: Bearer <API_KEY>.
application/json- body
active*booleanIndicates whether the configuration is active.
name*stringIdentifier name. Must be between 1 and 255 characters.
Length
1 <= length <= 64callbackUrl*stringSecure URL (HTTPS) where related events will be sent.
Match
^https://.*topics?array<>List of subscribed topics. Only specific values are allowed.
Webhook created successfully
application/jsoncurl -X POST 'https://api.getventia.com/api/v1.0/webhooks' \ -H 'Content-Type: application/json' \ -d '{ "active": true, "name": "string", "callbackUrl": "string"}'{ "success": true, "id": "67bca48d5fc32659c854f83c"}